package com.tofly.xrtygis.handle.table;
import com.tofly.xrtygis.custom.service.YxdbCustomerRecordService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
@Component
@Slf4j
public class CustomerRecordHandler {
    @Autowired
    private YxdbCustomerRecordService yxdbCustomerRecordService;

    @XxlJob("customerRecordHandler")
    public ReturnT<String> CustomerRecordHandler(String param) {
        //营销有效用户同步，每月同步1次
        log.info("营销有效用户同步开始……");
        yxdbCustomerRecordService.saveCustomerData("");
        log.info("营销有效用户同步结束……");
        return ReturnT.SUCCESS;
    }
}
